[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBComboBox.UpdateData

UpdateData - implements any pending changes in the data.

## Declaration

Source position: dbctrls.pp line 771

`protected procedure TCustomDBComboBox.UpdateData(`
`Sender: TObject`
`); virtual; abstract;`

## Description

UpdateData is an abstract virtual method in TCustomDBComboBox. It must be implemented in descendent classes, like TDBComboBox or TDBLookComboBox, to perform any actions needed to update the value stored in the Field for the control.

## See also

TDBComboBox.UpdateData |  | Applies the changed value for the control to the field in its linked dataset.
TDBLookUpComboBox.UpdateData |  | UpdateData - copies the local data from the corresponding entry from the lookup field.